Meteora DLMM Pools
This endpoint retrieves information about Meteora Dynamic Liquidity Market Maker (DLMM) pools on Solana. It returns a paginated list of pools with token pair details, DEX metadata, fee structures, and creation timestamps.
GET
https://api.cambrian.org/solana/meteora-dlmm/pools
Parameters
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "poolAddress",
"type": "FixedString(44)"
},
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "dexAddress",
"type": "FixedString(44)"
},
{
"name": "dexName",
"type": "String"
},
{
"name": "token0Address",
"type": "FixedString(44)"
},
{
"name": "token0Symbol",
"type": "String"
},
{
"name": "token0Decimals",
"type": "UInt8"
},
{
"name": "token1Address",
"type": "FixedString(44)"
},
{
"name": "token1Symbol",
"type": "String"
},
{
"name": "token1Decimals",
"type": "UInt8"
},
{
"name": "createdAt",
"type": "DateTime('UTC')"
},
{
"name": "fee",
"type": "UInt32"
},
{
"name": "tickSpacing",
"type": "UInt16"
}
],
"data": [
[
"8pZhpZrGtaLksLq1m1yZ333TChxmRAW7K4DxnfyetsUj",
900,
"LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
"Meteora",
"Gihwz9Dj89Lt9bByouPEdD3bT37y2hamwDdxMuPWAVz",
"CLAI",
6,
"So11111111111111111111111111111111111111112",
"SOL",
9,
"2026-04-29T18:10:26+00:00",
10000,
100
]
],
"rows": 100
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Get All Meteora DLMM Pools
Retrieve the most recently created Meteora DLMM pools with default pagination (limit=100, offset=0).
curl
curl -X GET "https://api.cambrian.org/solana/meteora-dlmm/pools?" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "poolAddress",
6 "type": "FixedString(44)"
7 },
8 {
9 "name": "chainId",
10 "type": "UInt16"
11 },
12 {
13 "name": "dexAddress",
14 "type": "FixedString(44)"
15 },
16 {
17 "name": "dexName",
18 "type": "String"
19 },
20 {
21 "name": "token0Address",
22 "type": "FixedString(44)"
23 },
24 {
25 "name": "token0Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token0Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "token1Address",
34 "type": "FixedString(44)"
35 },
36 {
37 "name": "token1Symbol",
38 "type": "String"
39 },
40 {
41 "name": "token1Decimals",
42 "type": "UInt8"
43 },
44 {
45 "name": "createdAt",
46 "type": "DateTime('UTC')"
47 },
48 {
49 "name": "fee",
50 "type": "UInt32"
51 },
52 {
53 "name": "tickSpacing",
54 "type": "UInt16"
55 }
56 ],
57 "data": [
58 [
59 "8pZhpZrGtaLksLq1m1yZ333TChxmRAW7K4DxnfyetsUj",
60 900,
61 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
62 "Meteora",
63 "Gihwz9Dj89Lt9bByouPEdD3bT37y2hamwDdxMuPWAVz",
64 "CLAI",
65 6,
66 "So11111111111111111111111111111111111111112",
67 "SOL",
68 9,
69 "2026-04-29T18:10:26+00:00",
70 10000,
71 100
72 ]
73 ],
74 "rows": 100
75 }
76]
2 {
3 "columns": [
4 {
5 "name": "poolAddress",
6 "type": "FixedString(44)"
7 },
8 {
9 "name": "chainId",
10 "type": "UInt16"
11 },
12 {
13 "name": "dexAddress",
14 "type": "FixedString(44)"
15 },
16 {
17 "name": "dexName",
18 "type": "String"
19 },
20 {
21 "name": "token0Address",
22 "type": "FixedString(44)"
23 },
24 {
25 "name": "token0Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token0Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "token1Address",
34 "type": "FixedString(44)"
35 },
36 {
37 "name": "token1Symbol",
38 "type": "String"
39 },
40 {
41 "name": "token1Decimals",
42 "type": "UInt8"
43 },
44 {
45 "name": "createdAt",
46 "type": "DateTime('UTC')"
47 },
48 {
49 "name": "fee",
50 "type": "UInt32"
51 },
52 {
53 "name": "tickSpacing",
54 "type": "UInt16"
55 }
56 ],
57 "data": [
58 [
59 "8pZhpZrGtaLksLq1m1yZ333TChxmRAW7K4DxnfyetsUj",
60 900,
61 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
62 "Meteora",
63 "Gihwz9Dj89Lt9bByouPEdD3bT37y2hamwDdxMuPWAVz",
64 "CLAI",
65 6,
66 "So11111111111111111111111111111111111111112",
67 "SOL",
68 9,
69 "2026-04-29T18:10:26+00:00",
70 10000,
71 100
72 ]
73 ],
74 "rows": 100
75 }
76]
2. Paginate Through Results
Retrieve a smaller page of results using `limit` and `offset` to skip earlier records.
curl
curl -X GET "https://api.cambrian.org/solana/meteora-dlmm/pools?limit=5&offset=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "poolAddress",
6 "type": "FixedString(44)"
7 },
8 {
9 "name": "chainId",
10 "type": "UInt16"
11 },
12 {
13 "name": "dexAddress",
14 "type": "FixedString(44)"
15 },
16 {
17 "name": "dexName",
18 "type": "String"
19 },
20 {
21 "name": "token0Address",
22 "type": "FixedString(44)"
23 },
24 {
25 "name": "token0Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token0Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "token1Address",
34 "type": "FixedString(44)"
35 },
36 {
37 "name": "token1Symbol",
38 "type": "String"
39 },
40 {
41 "name": "token1Decimals",
42 "type": "UInt8"
43 },
44 {
45 "name": "createdAt",
46 "type": "DateTime('UTC')"
47 },
48 {
49 "name": "fee",
50 "type": "UInt32"
51 },
52 {
53 "name": "tickSpacing",
54 "type": "UInt16"
55 }
56 ],
57 "data": [
58 [
59 "GpMMWCAG4Z43nJxwCR814aR6jNAKTCGeJ2ErTE8NesPb",
60 900,
61 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
62 "Meteora",
63 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
64 "USDC",
65 6,
66 "GnmnE79bvPkBNgkS2dq6HN5ozXj2RqgMeHHzHN8AskFJ",
67 "TESTDEV",
68 9,
69 "2026-01-12T15:29:08+00:00",
70 25000,
71 250
72 ],
73 [
74 "GGsV5EqGL1oTWAUAYF69kRe1zmP7VqiSgWUGbxiqGnfL",
75 900,
76 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
77 "Meteora",
78 "BXPnGr88CyavdAnjvyXhKW2QBMpAhGuGjrWkU9wA8PP2",
79 "TESTDEV",
80 9,
81 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
82 "USDC",
83 6,
84 "2026-01-12T15:28:13+00:00",
85 25000,
86 250
87 ],
88 [
89 "7QCoARdjsN1jT47df5fTaGGZvimqNVDagtKLzD5mzKbD",
90 900,
91 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
92 "Meteora",
93 "APuczAKpEey4zkT7qdqmkpCqJVsK38UDgTsRv5vZsHMo",
94 "N",
95 9,
96 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
97 "USDC",
98 6,
99 "2026-01-11T17:33:57+00:00",
100 25000,
101 250
102 ],
103 [
104 "2hqWq2VHiZxv5JtckNzF4WZyJMK4SgN7UxVV6YbGqGVW",
105 900,
106 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
107 "Meteora",
108 "Wd2TsHUoQxaLjmbWCeYU8fBMoje4R8UYj86JTbXBK5Z",
109 "N",
110 9,
111 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
112 "USDC",
113 6,
114 "2026-01-11T01:27:22+00:00",
115 25000,
116 250
117 ],
118 [
119 "7yBfVUTRygLmpBMVGPiKmZHGepWvEA6hYXdruZDPrgyY",
120 900,
121 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
122 "Meteora",
123 "AYFkbXHpfgBvLPms75ssGKGZp8QQDCFDHY5XfR6aXrgL",
124 "N",
125 9,
126 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
127 "USDC",
128 6,
129 "2025-12-31T00:10:45+00:00",
130 25000,
131 250
132 ]
133 ],
134 "rows": 5
135 }
136]
2 {
3 "columns": [
4 {
5 "name": "poolAddress",
6 "type": "FixedString(44)"
7 },
8 {
9 "name": "chainId",
10 "type": "UInt16"
11 },
12 {
13 "name": "dexAddress",
14 "type": "FixedString(44)"
15 },
16 {
17 "name": "dexName",
18 "type": "String"
19 },
20 {
21 "name": "token0Address",
22 "type": "FixedString(44)"
23 },
24 {
25 "name": "token0Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token0Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "token1Address",
34 "type": "FixedString(44)"
35 },
36 {
37 "name": "token1Symbol",
38 "type": "String"
39 },
40 {
41 "name": "token1Decimals",
42 "type": "UInt8"
43 },
44 {
45 "name": "createdAt",
46 "type": "DateTime('UTC')"
47 },
48 {
49 "name": "fee",
50 "type": "UInt32"
51 },
52 {
53 "name": "tickSpacing",
54 "type": "UInt16"
55 }
56 ],
57 "data": [
58 [
59 "GpMMWCAG4Z43nJxwCR814aR6jNAKTCGeJ2ErTE8NesPb",
60 900,
61 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
62 "Meteora",
63 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
64 "USDC",
65 6,
66 "GnmnE79bvPkBNgkS2dq6HN5ozXj2RqgMeHHzHN8AskFJ",
67 "TESTDEV",
68 9,
69 "2026-01-12T15:29:08+00:00",
70 25000,
71 250
72 ],
73 [
74 "GGsV5EqGL1oTWAUAYF69kRe1zmP7VqiSgWUGbxiqGnfL",
75 900,
76 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
77 "Meteora",
78 "BXPnGr88CyavdAnjvyXhKW2QBMpAhGuGjrWkU9wA8PP2",
79 "TESTDEV",
80 9,
81 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
82 "USDC",
83 6,
84 "2026-01-12T15:28:13+00:00",
85 25000,
86 250
87 ],
88 [
89 "7QCoARdjsN1jT47df5fTaGGZvimqNVDagtKLzD5mzKbD",
90 900,
91 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
92 "Meteora",
93 "APuczAKpEey4zkT7qdqmkpCqJVsK38UDgTsRv5vZsHMo",
94 "N",
95 9,
96 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
97 "USDC",
98 6,
99 "2026-01-11T17:33:57+00:00",
100 25000,
101 250
102 ],
103 [
104 "2hqWq2VHiZxv5JtckNzF4WZyJMK4SgN7UxVV6YbGqGVW",
105 900,
106 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
107 "Meteora",
108 "Wd2TsHUoQxaLjmbWCeYU8fBMoje4R8UYj86JTbXBK5Z",
109 "N",
110 9,
111 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
112 "USDC",
113 6,
114 "2026-01-11T01:27:22+00:00",
115 25000,
116 250
117 ],
118 [
119 "7yBfVUTRygLmpBMVGPiKmZHGepWvEA6hYXdruZDPrgyY",
120 900,
121 "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
122 "Meteora",
123 "AYFkbXHpfgBvLPms75ssGKGZp8QQDCFDHY5XfR6aXrgL",
124 "N",
125 9,
126 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
127 "USDC",
128 6,
129 "2025-12-31T00:10:45+00:00",
130 25000,
131 250
132 ]
133 ],
134 "rows": 5
135 }
136]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/meteora-dlmm/pools"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/meteora-dlmm/pools"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/meteora-dlmm/pools")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/meteora-dlmm/pools")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request